=== debian/changelog ===
swig3.0 (3.0.12-2.2ubuntu1) focal; urgency=medium

  * Build as swig3.0 to build subversion.
  * Build just the 3.0 packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Apr 2020 17:24:07 +0200

swig (3.0.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use PyObject_GC_UnTrack instead of the macro _PyObject_GC_UNTRACK,
    removed in Python 3.8. Closes: #942706.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 16:27:42 +0200

swig (3.0.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Hilko Bengen ]
  * Include all examples in the swig3.0-examples package (closes: #924487).

  [ Torsten Landschoff ]
  * Use CPPFLAGS for ccache build as well.

  [ Sébastien Villemot ]
  * octave5.patch: new patch, ensures Octave 5 compatibility (Closes: #941746).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 21:26:54 +0200

swig (3.0.12-2) unstable; urgency=low

  * tracker.d.o: Update Vcs-* control fields to point to the new repository on
    salsa.d.o.
  * Remove build dependencies that are only required for testing
    the build (closes: #752938).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 27 Jan 2019 19:57:54 +0100

swig (3.0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python-fix-function-cast-warnings.patch: Fix GCC8 warnings in generated
    Python code. (Closes: #897857)
  * python-fix-gcc8-strncpy-warning.patch: Fix more GCC8 warnings in generated
    Python code.
  * fix-gcc8-memset-warnings.patch: Fix GCC8 warnings in generated code for
    various languages.

 -- Olly Betts <olly@survex.com>  Fri, 10 Aug 2018 12:48:36 +1200

swig (3.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * octave4.4.patch: new patch (closes: #901504)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 14:25:41 +0200

swig (3.0.12-1) unstable; urgency=medium

  * New upstream release 3.0.12 (closes: #863848).
    + Includes support for php 7 (closes: #851251).
    + Corrects generation of R wrappers (closes: #868748).

  * Drop patch add-Octave-4.2-support.patch now included upstream.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 05 Sep 2017 18:29:41 +0000

swig (3.0.11-1) experimental; urgency=low

  * New upstream release 3.0.11. 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 04 Sep 2017 21:47:24 +0000

swig (3.0.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add octave 4.2 support. Closes: #868531, #736393

 -- Ole Streicher <olebole@debian.org>  Sun, 16 Jul 2017 21:06:41 +0200

swig (3.0.10-1.1) unstable; urgency=medium

  * Remove swig PHP support (again) as swig doesn't support PHP 7.0 yet
    (Closes: #821715)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2016 21:08:29 +0100

swig (3.0.10-1) unstable; urgency=medium

  * New upstream release 3.0.10.
  * Raised debhelper compat level to 9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:40:09 +0200

swig (3.0.9-1) unstable; urgency=medium

  * Merge upstream release 3.0.9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:23:12 +0200

swig (3.0.8-0) experimental; urgency=medium

  * New upstream release (closes: #811418).
  * Remove patch for #802906, applied upstream.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 09 Mar 2016 23:02:45 +0100

swig (3.0.7-2) unstable; urgency=medium

  * Reintroduce symlinks swig and ccache-swig for the default version of
    SWIG (closes: #803369).
  * debian/control: Change XS-Testsuite to Testsuite, hoping that this
    will make the package appear on ci.debian.net.
  * New patch debian/patches/ccache-rename.diff: Allows calling ccache-swig
    as ccache-swig or ccache-swig3.0 (closes: #786618).
    + Added autopkgtest tests to check if ccache-swig can be called via
      the symlink as well as via the versioned binary name.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Oct 2015 00:50:22 +0100

swig (3.0.7-1) unstable; urgency=low

  * Mark binary packages as Multi-Arch: foreign (closes: #738513).
  * Build swig, swig-doc and swig-examples dependency packages here
    (moved from swig2.0 source package). 
  * Apply patch for Python 3.5 support by Matthias Klose, closes: #802906.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 28 Oct 2015 22:15:01 +0100

swig (3.0.7-0) experimental; urgency=low

  * Merge new upstream releases up to 3.0.7.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 14 Aug 2015 06:39:31 +0200

swig (3.0.2-2) unstable; urgency=low

  * Introduced the first autopkgtest for SWIG, checking the bug #768280.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 15 Feb 2015 20:47:25 +0100

swig (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version: 3.9.3 -> 3.9.5 (lintian).
    Checked via upgrading-checklist.txt.gz from debian-policy package.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 03 Jul 2014 00:45:28 +0200

swig (3.0.0-1) unstable; urgency=low

  * Retarget to unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 02 Jul 2014 06:57:08 +0200

swig (3.0.0-0) experimental; urgency=low

  * New upstream release 3.0.0 (closes: #739910).
  * debian/control: Change source name from swig2.0 back to swig.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 16:48:37 +0200

swig2.0 (2.0.12-1) unstable; urgency=medium

  * New upstream release 2.0.12.
  * Build with Guile 2.0 (closes: #746016).
  * For some reason, GUILE_CFLAGS is set correctly again (closes: #701865).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 01:24:34 +0200

swig2.0 (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with the default Ruby instead of hardcoding ruby1.9.1.
     (Closes: #745927)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 26 Apr 2014 17:23:59 +0200

swig2.0 (2.0.11-1) unstable; urgency=low

  * Merge new upstream release 2.0.11 (closes: #727188).

